%define upstream_name    Class-Gomor
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Class::Gomor - another class and object builder
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module is yet another class builder. This one adds parameter checking in
new constructor, that is to check for attributes existence, and definedness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%dir %{perl_vendorlib}/Class/Gomor
%{perl_vendorlib}/Class/Gomor/*.pm
%{perl_vendorlib}/Class/Gomor.pm
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.30.0-4pclos2017
- rebuild against updates

